/////  Christoph Schrall  (C)2011 /////////
var map="";
var speed="";
var subdir="";
var map_scale=1.0;
var title = ""; 

var client_width = 0;
var client_height = 0;


$(document).ready(function()
    {
    // Step 1:  parse requestparameter and retrieve xml URL
	if ( window.location.search.length<6 ||  
			request.parameter('map')==undefined || request.parameter('map')==null|| request.parameter('map').length<2 ){
		alert( "Request parameter is missing :  map=MapSample.xml");
		return;
	}
	
	var actionpoints = new Array();

  xml_location = request.parameter('map'); 
	// Step 2: load XML
	$.ajax({
        type: "GET",
        url: xml_location,
        dataType: "xml",
        success: function(xml) {
      			// Step 3: parse xml
      			map = $(xml).find('Map').attr('img');
      			speed = $(xml).find('Speed').attr('val');
      			subdir= $(xml).find('SubDir').attr('path');
      			map_scale= $(xml).find('Scale').attr('factor');
      			title= $(xml).find('Title').attr('text');
				
				    if (subdir==undefined || subdir==null)
					     subdir="";
				    if (map_scale==undefined || map_scale==null || map_scale==0 || map_scale=="" )
					     map_scale=1.0;
					  if (title==undefined || title==null || title==0 || title=="" )
					     title=map;
					     
					  set_document_title(null);
      			
      			$(xml).find('Points').find('point').each(
      				function(){ 
      					var a = new ActionPoint(
      						$(this).attr('X'),$(this).attr('Y'),
      						$(this).attr('Image'),$(this).attr('ImageType'), $(this).attr('Tooltip')
      					);
      					actionpoints.push(a);
      				} 
      			);
      						
      			if (map==undefined || map==null || map.length==0)
      				alert("No map image available");
			
    			client_width = document.documentElement.clientWidth;
    			client_height = document.documentElement.clientHeight;
    			// Step 4: resize map
    			load_and_resize_image("map_img", "map_div", "zoom_div", map, actionpoints);

          // Step 8: add click functionality to zoom_img
        	$('#zoom_div').click(function(e) {
        	 $(this).fadeOut("slow");
        	 $('#zoom_img').hide();
        	 $('#map_div').fadeIn("slow");
        	 set_document_title( null );
        	});
        },
        error: function(XMLHttpRequest, textStatus, errorThrown) {alert( "Error get xml file " + 
                        xml_location + " " +  textStatus+errorThrown);}
		});//close $.ajax()
    }); //close $(document).ready()

var tit = null;
function set_document_title( current_img ){
  tit  = null;
  if (current_img!=null&&current_img.length>0) {
      document.title = title + " / " + current_img.replace(".jpg","").replace(".JPG","");
      tit = "img";  // hack
  }
  else
      document.title = title;
}

function goBack(){
  if (tit==null||tit.length<=0)  
    history.back();
  else
    $('#zoom_img').trigger('click');
}
