/////  Christoph Schrall  (C)2011 /////////
function Point(x_in,y_in){
	this.x = x_in;
	this.y = y_in;
}

	
function Rectangle(startX, startY, endX, endY) {

	this.width = endX - startX;
	this.height = endY - startY;
	this.x = startX;
	this.y = startY;
} 

function ActionPoint(x_in, y_in, img_in, type, tooltip){
var ret = {

	pictureZoom : 1.0,
    IPICTURE : 0,
    IHALFPANORAMA : 1,
    IPANORAMA : 2,
    IMOVIE : 3,
    IMAP : 4,
    
	PICTURE : "Picture",
    HALFPANORAMA : "Halfpan",
    PANORAMA : "Panorama",
    MOVIE : "AVI",
    MAP : "Map",
    
    radius : 8,
    is_circle : true, // circle or square
    is_already_clicked : false, // was this point already clicked?
    is_img_missing : false,     // was there an error loading the image
	
	x : x_in,
	y : y_in,
    image_file : img_in,
    wave_file: "",
    comment: tooltip,
    action_type:type,
	
    // Ist dieser Punkt im Zustndigkeitsbereich des Actionpoints
    is_clicked : function ( zoom_factor_par, click_x, click_y ){
	      
        if (this.is_circle)        {			 
            if ( (this.x*zoom_factor_par - click_x) * (this.x*zoom_factor_par - click_x) + 
                 (this.y*zoom_factor_par - click_y) * (this.y*zoom_factor_par - click_y) 
				                             <= this.radius * this.radius / 4)
            {
                this.is_already_clicked = true;
				        this.paint("map_div", zoom_factor_par);  // todo map_div bergeben
                return true;
            }       
            return false;
        }
        
        // else square       
        click_x += this.radius / 2;
        click_y += this.radius / 2;
        
        if (this.x <= click_x && this.x + this.radius >= click_x && 
                this.y <= click_y && this.y + this.radius >= click_y)
        {
            this.is_already_clicked = true;
            return true;
        }
       
		return false;
	},
	
	// Zeichne den Actionpoint (und zwar entweder in der Typfarbe) oder
  // in schwarz falls der Punkt schon mal angeklickt wurde
	paint : function ( div_id, zoom_factor_par ){
	
		var paint_color = this.action_type == this.IPICTURE ? {color: '#ff0000'} : {color: '#00ff00'}; 	
		
		if ( this.is_img_missing==true)
		    paint_color = {color: '#777777'} ;
		else if (this.is_already_clicked==true)
        paint_color = {color: '#000000'} ;
        
    if (this.is_circle)
		  $("#" + div_id).fillEllipse(this.x*zoom_factor_par-this.radius/2, 
		                              this.y*zoom_factor_par-this.radius/2, 
				                					this.radius, this.radius, paint_color );
		else
		  $("#" + div_id).fillRect(this.x*zoom_factor_par-this.radius/2, 
		                              this.y*zoom_factor_par-this.radius/2, 
				                					this.radius, this.radius, paint_color );
		
									

	}
	};
	return ret;
}
